﻿using ZenLibrary.RuleBase;

namespace SampleRuleLibrary
{
    public class SampleRule : Rule
    {
        public override string Name
        {
            get { return "Discnumber Tag"; }
        }

        public override TestType TestType
        {
            get { return TestType.FileScan; }
        }

        public override RuleTestResult RunTest(System.IO.DirectoryInfo directoryInfo, System.IO.FileInfo fileInfo)
        {            
            TagLib.File file = TagLib.File.Create(fileInfo.FullName);
            RuleTestResult result = new RuleTestResult();
            if (file.Tag.Disc != 0)
            {
                result.TestPassed = true;
                return result;
            }
            result.ResultPath = directoryInfo.FullName;
            result.RuleTestFailedString = string.Format("File \"{0}\" does not have the discnumber tag defined.", fileInfo.FullName);
            result.TestPassed = false;
            return result;
        }
    }
}
